var installerTargetDirectory="/builddir/Concise/progs/qtjambi/qt-sdk-bin";

function Controller()
{
    installer.autoRejectMessageBoxes;
    installer.setMessageBoxAutomaticAnswer( "OverwriteTargetDirectory", QMessageBox.Yes);
    installer.setMessageBoxAutomaticAnswer( "stopProcessesForUpdates", QMessageBox.Ignore);
}


Controller.prototype.IntroductionPageCallback = function()
{
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.TargetDirectoryPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("TargetDirectoryPage");
    page.TargetDirectoryLineEdit.setText(installerTargetDirectory);
    page.InstallationKindWidget.CustomRadioButton.setChecked(true);
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.ComponentSelectionPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("ComponentSelectionPage");
    page.deselectAll();
    page.selectComponent("com.nokia.ndk.tools.desktop.474");
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.LicenseAgreementPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("LicenseAgreementPage");
    page.AcceptLicenseRadioButton.setChecked( true);
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.StartMenuDirectoryPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("StartMenuDirectoryPage");
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.ReadyForInstallationPageCallback = function()
{
    gui.clickButton(buttons.NextButton);
}


Controller.prototype.PerformInstallationPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("PerformInstallationPage");
    gui.clickButton(buttons.NextButton);
}

Controller.prototype.FinishedPageCallback = function()
{
    var page = gui.pageWidgetByObjectName("FinishedPage");
    page.ReadMeCheckBoxForm.readMeCheckBox.setChecked(false);
 
    //we don't want to run a program (creator) after the installation
    page.RunItCheckBox.setChecked(false);
    installer.setValue("RunProgram", "");
 
    gui.clickButton( buttons.FinishButton);
}
