@echo off
setlocal enableextensions
if "%QTDIR%" == "" (
 echo Please run add_env.bat first.
 goto :finish
)
rem create new user path
set USERPATH="%%ANT_HOME%%\bin;%%MINGWDIR%%\bin;%%MSYSDIR%%\bin;%%JAMBIDIR%%\generator\release"
rem read the old path. Warning: the delim has to be a real tab char not spaces
for /f "tokens=3* delims=	" %%a in ('reg query "HKCU\Environment" /v Path') do (
set OLDUSERPATH=%%a
)
set USERPATH=%USERPATH%;%OLDUSERPATH%
rem create new system path
set SYSTEMPATH="%QTDIR%\bin"
rem read the old path. Warning: the delim has to be a real tab char not spaces
for /f "tokens=3* delims=	" %%a in ('reg query "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment" /v Path') do (
set OLDSYSTEMPATH=%%a
)
set SYSTEMPATH=%SYSTEMPATH%;%OLDSYSTEMPATH%
rem check if the old system path already has 'QTDIR' at the beginning
echo %OLDSYSTEMPATH%|findstr /l %QTDIR% >nul:
if %errorlevel%==1 (
  rem the old path does not begin with the QTDIR set the new paths
  reg add "HKCU\Environment" /v Path /t REG_EXPAND_SZ /d "%USERPATH%" /f > nul 
  reg add "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment" /v Path /t REG_EXPAND_SZ /d "%SYSTEMPATH%" /f > nul 
  echo Path has been set. 
  echo Please restart the computer or 
  echo open "System->Properties->AdvancedTab->Environment" an push Ok
	rem echo %%OLDPATH%%=%CURRENTPATH%
  rem echo %%NEWPATH%%=%NEWPATH%
) else (
  echo Path has been already set!
)
endlocal 
:finish
pause